components:
  schemas:
    ActionInfo_v1_1_2_ActionInfo:
      additionalProperties: false
      description: The ActionInfo schema defines the supported parameters and other
        information for a Redfish action.  Supported parameters can differ among vendors
        and even among Resource instances.  This data can ensure that action requests
        from applications contain supported parameters.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        Parameters:
          description: The list of parameters included in the specified Redfish action.
          items:
            $ref: '#/components/schemas/ActionInfo_v1_1_2_Parameters'
          type: array
          x-longDescription: This property shall list the parameters included in the
            specified Redfish action for this Resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This Resource shall represent the supported parameters and
        other information for a Redfish action on a target within a Redfish implementation.  Supported
        parameters can differ among vendors and even among Resource instances.  This
        data can ensure that action requests from applications contain supported parameters.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    ActionInfo_v1_1_2_ParameterTypes:
      enum:
      - Boolean
      - Number
      - NumberArray
      - String
      - StringArray
      - Object
      - ObjectArray
      type: string
      x-enumDescriptions:
        Boolean: A boolean.
        Number: A number.
        NumberArray: An array of numbers.
        Object: An embedded JSON object.
        ObjectArray: An array of JSON objects.
        String: A string.
        StringArray: An array of strings.
    ActionInfo_v1_1_2_Parameters:
      additionalProperties: false
      description: The information about a parameter included in a Redfish action
        for this Resource.
      properties:
        AllowableValues:
          description: The allowable values for this parameter as applied to this
            action target.
          items:
            nullable: true
            type: string
          readOnly: true
          type: array
          x-longDescription: This property shall indicate the allowable values for
            this parameter as applied to this action target.
        DataType:
          $ref: '#/components/schemas/ActionInfo_v1_1_2_ParameterTypes'
          description: The JSON property type for this parameter.
          nullable: true
          readOnly: true
          x-longDescription: This property shall contain the JSON property type for
            this parameter.
        MaximumValue:
          description: The maximum supported value for this parameter.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This integer or number property shall contain the maximum
            value that this service supports.  This property shall not be present
            for non-integer or number parameters.
          x-versionAdded: v1_1_0
        MinimumValue:
          description: The minimum supported value for this parameter.
          nullable: true
          readOnly: true
          type: number
          x-longDescription: This integer or number property shall contain the minimum
            value that this service supports.  This property shall not be present
            for parameters that are of types other than integer or number.
          x-versionAdded: v1_1_0
        Name:
          description: The name of the parameter for this action.
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the parameter
            included in a Redfish action.
        ObjectDataType:
          description: The data type of an object-based parameter.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall describe the entity type definition
            in `@odata.type` format for the parameter.  This property shall be required
            for parameters with a data type of `Object` or `ObjectArray`, and shall
            not be present for parameters with other data types.
        Required:
          description: An indication of whether the parameter is required to complete
            this action.
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the parameter is
            required to complete this action.
      required:
      - Name
      type: object
      x-longDescription: This property shall contain information about a parameter
        included in a Redfish Action for this Resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#ActionInfo.v1_1_2.ActionInfo'
x-copyright: Copyright 2014-2019 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2018.2'
